Retry a dead-letter failure
curl --request POST \
--url https://api.withsplendor.com/v1/admin/dlq/{failure_id}/retry \
--header 'Authorization: Bearer <token>' \
--header 'x-splendor-tenant-id: <x-splendor-tenant-id>'import requests
url = "https://api.withsplendor.com/v1/admin/dlq/{failure_id}/retry"
headers = {
"x-splendor-tenant-id": "<x-splendor-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-splendor-tenant-id': '<x-splendor-tenant-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.withsplendor.com/v1/admin/dlq/{failure_id}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"failure": {
"committed_batch_count": 0,
"committed_document_count": 0,
"dataset_id": "app-logs",
"error_message": "Failed to parse record at line 10",
"error_type": "ParseError",
"failed_at": "2026-01-15T09:30:00Z",
"failed_document_count": 1,
"failed_document_offset": 10,
"failure_id": 1,
"last_retry_at": null,
"repair_kind": null,
"repair_started_at": null,
"retry_count": 0,
"retryable": true,
"s3_bucket": "acme-logs",
"s3_etag": "\"5d41402a\"",
"s3_key": "2026/01/15/app-bad.jsonl.gz",
"source": "app-logs",
"source_id": 12,
"status": "failed",
"tenant_id": "acme"
},
"message_id": "msg_1"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Operations
Retry a dead-letter failure
Re-enqueues a failed task from the dead-letter queue. Requires an admin role.
POST
/
v1
/
admin
/
dlq
/
{failure_id}
/
retry
Retry a dead-letter failure
Authorizations
API token issued from the Splendor console.
Headers
Selects the tenant (workspace) the request acts within.
Path Parameters
Query Parameters
Minimum string length:
1Response
Successful Response
Show child attributes
Show child attributes
Example:
{
"committed_batch_count": 0,
"committed_document_count": 0,
"dataset_id": "app-logs",
"error_message": "Failed to parse record at line 10",
"error_type": "ParseError",
"failed_at": "2026-01-15T09:30:00Z",
"failed_document_count": 1,
"failed_document_offset": 10,
"failure_id": 1,
"last_retry_at": null,
"repair_kind": null,
"repair_started_at": null,
"retry_count": 0,
"retryable": true,
"s3_bucket": "acme-logs",
"s3_etag": "\"5d41402a\"",
"s3_key": "2026/01/15/app-bad.jsonl.gz",
"source": "app-logs",
"source_id": 12,
"status": "failed",
"tenant_id": "acme"
}
⌘I